---
# Run through all tasks to setup machines
# https://community.frame.work/t/fedora-linux-35-on-the-framework-laptop/6613/10
- hosts: pc
  gather_facts: true
  order: inventory
  vars:
    executable_temp_dir: /tmp
    awscli_install_dir: /opt/aws-cli/
    vault_version: 1.9.3
    tf_version: 1.1.5
    packer_version: 1.7.10

  roles:
    - setup-openssh
    - add-dnet-cert
    - disable-swap
    - dnf-install-dash-to-dock
    - dnf-install-snap
    - dnf-install-steam
    - enable-deep-sleep
    - write-dconf-config
    # - role: ansible/btrbk
    - role: ansible/certificates
    - role: ansible/dconf
    # - role: ansible/gnome_extensions
    - role: ansible/openssh
    - role: ansible/software_common
    - role: ansible/software_developer
    - role: ansible/software_games
    - role: ansible/software_security
    # - role: ansible/tigervnc
